tqslconvert.h File Reference
`#include "tqsllib.h"`

Go to the source code of this file.

## Typedefs

typedef void * | tQSL_Converter

## Functions

DLLEXPORT int CALLCONVENTION | tqsl_beginConverter (tQSL_Converter *convp)
DLLEXPORT int CALLCONVENTION | tqsl_beginADIFConverter (tQSL_Converter *conv, const char *filename, tQSL_Cert *certs, int ncerts, tQSL_Location loc)
DLLEXPORT int CALLCONVENTION | tqsl_beginCabrilloConverter (tQSL_Converter *conv, const char *filename, tQSL_Cert *certs, int ncerts, tQSL_Location loc)
DLLEXPORT int CALLCONVENTION | tqsl_endConverter (tQSL_Converter *conv)
DLLEXPORT int CALLCONVENTION | tqsl_setConverterAllowBadCall (tQSL_Converter conv, int allow)
DLLEXPORT int CALLCONVENTION | tqsl_setConverterAllowDuplicates (tQSL_Converter convp, int allow)
DLLEXPORT int CALLCONVENTION | tqsl_setConverterAppName (tQSL_Converter convp, const char *app)
DLLEXPORT int CALLCONVENTION | tqsl_converterRollBack (tQSL_Converter convp)
DLLEXPORT int CALLCONVENTION | tqsl_converterCommit (tQSL_Converter convp)
DLLEXPORT int CALLCONVENTION | tqsl_getDuplicateRecords (tQSL_Converter convp, char *key, char *data, int keylen)
DLLEXPORT int CALLCONVENTION | tqsl_putDuplicateRecord (tQSL_Converter convp, const char *key, const char *data, int keylen)
DLLEXPORT int CALLCONVENTION | tqsl_setADIFConverterDateFilter (tQSL_Converter conv, tQSL_Date *start, tQSL_Date *end)
DLLEXPORT const char *CALLCONVENTION | tqsl_getConverterGABBI (tQSL_Converter conv)
DLLEXPORT int CALLCONVENTION | tqsl_getConverterCert (tQSL_Converter conv, tQSL_Cert *certp)
DLLEXPORT int CALLCONVENTION | tqsl_getConverterLine (tQSL_Converter conv, int *lineno)
DLLEXPORT const char *CALLCONVENTION | tqsl_getConverterRecordText (tQSL_Converter conv)

## Detailed Description

tQSL library converter functions.